Bug 9310 - Patron image upload template corrections
Summary: Patron image upload template corrections
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-20 14:49 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9310 - Patron image upload template corrections (8.26 KB, patch)
2012-12-20 14:56 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9310 - Patron image upload template corrections (8.37 KB, patch)
2012-12-29 09:28 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 9310 - Patron image upload template corrections (8.42 KB, patch)
2013-01-15 13:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-12-20 14:49:43 UTC
The patron image upload template needs a few corrections:

- incorrect grid structure makes page narrower than it needs to be
- information about upload results squeezed into message box illegibly
- upload results should link to patron records
Comment 1 Owen Leonard 2012-12-20 14:56:31 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-12-29 09:28:50 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-01-15 13:01:18 UTC
QA comment:

This patch improves the ergonomic of the patron image upload page.
Works as expected for zip and png files.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-01-15 13:01:40 UTC
Created attachment 14598 [details] [review]
Bug 9310 - Patron image upload template corrections

This patch fixes some template structure problems and makes some
improvements:

- Correct grid structure so that page isn't narrower than it needs
  to be.
- Move image upload messages out of message/error dialog and into
  table so that lines are distinct and legible.
- Expand breadcrumbs specificity
- Capitalization corrections

To test: Upload patron images using both single images and zip files.
Test zip file upload with a file which contains valid and invalid
contents (non-existant patron numbers, invalid image files, etc). In all
cases image uploads should work correctly and errors should be legibly
displayed.

Signed-off-by: Marc Veron <veron@veron.ch>

With patch, error messages are displayed  in a nice table.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Tested with zip and png files. Works great.
Comment 5 Jared Camins-Esakov 2013-01-18 02:53:36 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-02-01 08:03:39 UTC
Pushed to 3.10.x and 3.8.x, will be in 3.10.3 and 3.8.10